| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Macros | Typedefs
OgreGL3PlusPrerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreLogManager.h"`

## Namespaces
| Ogre

## Macros
#define | __PRETTY_FUNCTION__ __FUNCTION__
#define | _CRT_SECURE_NO_DEPRECATE
#define | _OgreGL3PlusExport
#define | ENABLE_GL_CHECK 0
#define | ENABLE_GL_DEBUG_OUTPUT 0
#define | GL_BUFFER_OFFSET(i) ((char *)(i))
#define | OGRE_CHECK_GL_ERROR(glFunc) { glFunc; }

## Typedefs
typedef GLContext | Ogre::GL3PlusContext
typedef GLRTTManager | Ogre::GL3PlusRTTManager
typedef shared_ptr< GL3PlusTexture > | Ogre::GL3PlusTexturePtr
typedef shared_ptr< GLSLShader > | Ogre::GLSLShaderPtr

## Macro Definition Documentation

## ◆ _CRT_SECURE_NO_DEPRECATE

#define _CRT_SECURE_NO_DEPRECATE

## ◆ _OgreGL3PlusExport

#define _OgreGL3PlusExport

## ◆ GL_BUFFER_OFFSET

#define GL_BUFFER_OFFSET | ( |  | i | ) | ((char *)(i))

## ◆ __PRETTY_FUNCTION__

#define __PRETTY_FUNCTION__ __FUNCTION__

## ◆ ENABLE_GL_CHECK

#define ENABLE_GL_CHECK 0

## ◆ ENABLE_GL_DEBUG_OUTPUT

#define ENABLE_GL_DEBUG_OUTPUT 0

## ◆ OGRE_CHECK_GL_ERROR

#define OGRE_CHECK_GL_ERROR | ( |  | glFunc | ) | { glFunc; }